Subject: green card

From: [email-masked] (priv=-10 D.C.)
Date: Mon, 7 Feb 94 18:49:49 -0500

>From [email-masked]  Mon Feb  7 18:43:16 1994
Subject: green card
To: dong (Dong Chen)
Date: Mon, 7 Feb 1994 18:42:33 -0500 (EST)

Hi Dong,

Since you are the only IFCSS officer I know and I know well, I am
writing this letter to you.  You may consider this as an official letter
to IFCSS and forward it to the approriate party.

Can IFCSS do something to speed up the final processing of the green
card ?  The justifications are:

(1) A lot of people are in the similar situation as us: received
approval notice last September while still not receiving the official
green card.  A lot of them are as anxious to receive their green card
as me.

(2) Some of them need to travel outside the country.  For example, I
have to go to Italy next month to participate a joint experiment (MACRO,
as you know), while the stamp of the temporary evidence for permanent
residence in my passport will expire next month.  Today I went to the
local INS and they told me that I'd better not leave the country before
I receive my green card. The delay in receiving the green card seriously
affects my research.

Based on the two above reasons, I feel that it is justified for the
IFCSS to look into this matter and urge the INS to speed things up.

Regards,
Jiangtao

          __                                         Mail address:
   ______/ /301-405-5025(O)____301-314-9437(fax)     Dong Chen
  / ____/ /_  ___  ___    / __ \____  ___  ____(C)   LPR, Univ. of Maryland
 / /   / __ \/ _ \/ _ \  / / / / __ \/ _ \/ __ \     College Park, MD 20742
/ /___/ / / /  __/ // / / /_/ / /_/ / // / /_/ / Email: [email-masked]
\____/_/ /_/\___/_//_/ /_____/\____/_//_/\__  / "Why a communist can not be
 __________________________________________/ / a good C++ programer ?" -D.C.
/___________________________________________/ "They want destory all classes."